Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer
Class PicoBuilder

    java.lang.Object
      org.picocontainer.PicoBuilder

    public class PicoBuilder

extends Object

Helps assembles the myriad items available to a picocontainer.

Simple Example:

     MutablePicoContainer mpc = new PicoBuilder()
       .withCaching()
       .withLifecycle()
       .build();

Author:
  Paul Hammant

Constructor Summary
`PicoBuilder()`
`PicoBuilder(InjectionFactory injectionType)`
`PicoBuilder(PicoContainer parentContainer)`
`PicoBuilder(PicoContainer parentContainer, InjectionFactory injectionType)`

Method Summary
`PicoBuilder` | `addChildToParent()`
`MutablePicoContainer` | `build()`
`PicoBuilder` | `implementedBy(Class<? extends MutablePicoContainer> containerClass)`
`PicoBuilder` | `withAnnotatedFieldInjection()`
`PicoBuilder` | `withAnnotatedMethodInjection()`
`PicoBuilder` | `withAutomatic()`
`PicoBuilder` | `withBehaviors(BehaviorFactory... factories)`
`PicoBuilder` | `withCaching()`
`PicoBuilder` | `withComponentFactory(Class<? extends ComponentFactory> componentFactoryClass)`
`PicoBuilder` | `withComponentFactory(ComponentFactory componentFactory)`
`PicoBuilder` | `withConsoleMonitor()`
`PicoBuilder` | `withConstructorInjection()`
`PicoBuilder` | `withCustomContainerComponent(Object containerDependency)`
`PicoBuilder` | `withHiddenImplementations()`
`PicoBuilder` | `withLifecycle()`
`PicoBuilder` | `withLocking()`
`PicoBuilder` | `withMethodInjection()`
`PicoBuilder` | `withMonitor(Class<? extends ComponentMonitor> cmClass)`
`PicoBuilder` | `withMonitor(ComponentMonitor componentMonitor)`
`PicoBuilder` | `withPropertyApplier()`
`PicoBuilder` | `withReflectionLifecycle()`
`PicoBuilder` | `withSetterInjection()`
`PicoBuilder` | `withSynchronizing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PicoBuilder

    public PicoBuilder(PicoContainer parentContainer,
                       InjectionFactory injectionType)

### PicoBuilder

    public PicoBuilder(PicoContainer parentContainer)

### PicoBuilder

    public PicoBuilder(InjectionFactory injectionType)

### PicoBuilder

    public PicoBuilder()

Method Detail

### withLifecycle

    public PicoBuilder withLifecycle()

### withReflectionLifecycle

    public PicoBuilder withReflectionLifecycle()

### withConsoleMonitor

    public PicoBuilder withConsoleMonitor()

### withMonitor

    public PicoBuilder withMonitor(Class<? extends ComponentMonitor> cmClass)

### build

    public MutablePicoContainer build()

### withHiddenImplementations

    public PicoBuilder withHiddenImplementations()

### withSetterInjection

    public PicoBuilder withSetterInjection()

### withAnnotatedMethodInjection

    public PicoBuilder withAnnotatedMethodInjection()

### withAnnotatedFieldInjection

    public PicoBuilder withAnnotatedFieldInjection()

### withConstructorInjection

    public PicoBuilder withConstructorInjection()

### withCaching

    public PicoBuilder withCaching()

### withComponentFactory

    public PicoBuilder withComponentFactory(ComponentFactory componentFactory)

### withSynchronizing

    public PicoBuilder withSynchronizing()

### withLocking

    public PicoBuilder withLocking()

### withBehaviors

    public PicoBuilder withBehaviors(BehaviorFactory... factories)

### implementedBy

    public PicoBuilder implementedBy(Class<? extends MutablePicoContainer> containerClass)

### withMonitor

    public PicoBuilder withMonitor(ComponentMonitor componentMonitor)

### withComponentFactory

    public PicoBuilder withComponentFactory(Class<? extends ComponentFactory> componentFactoryClass)

### withCustomContainerComponent

    public PicoBuilder withCustomContainerComponent(Object containerDependency)

### withPropertyApplier

    public PicoBuilder withPropertyApplier()

### withAutomatic

    public PicoBuilder withAutomatic()

### withMethodInjection

    public PicoBuilder withMethodInjection()

### addChildToParent

    public PicoBuilder addChildToParent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.